--- old/usr/src/cmd/cmd-crypto/tpmadm/admin_cmds.c	Sun Dec 14 23:31:15 2014
+++ new/usr/src/cmd/cmd-crypto/tpmadm/admin_cmds.c	Sun Dec 14 23:31:15 2014
@@ -661,11 +661,11 @@
 	    sizeof (well_known), well_known))
 		return (ERR_FAIL);
 
-	ret = Tspi_TPM_TakeOwnership(hTPM, hKeySRK, NULL);
+	ret = Tspi_TPM_TakeOwnership(hTPM, hKeySRK, (TSS_HKEY)NULL);
 	if (ret == TPM_E_NO_ENDORSEMENT) {
 		if (createek(hContext, hTPM))
 			return (ERR_FAIL);
-		ret = Tspi_TPM_TakeOwnership(hTPM, hKeySRK, NULL);
+		ret = Tspi_TPM_TakeOwnership(hTPM, hKeySRK, (TSS_HKEY)NULL);
 	}
 	if (ret) {
 		print_error(ret, gettext("Take ownership"));
@@ -701,7 +701,7 @@
 	    gettext("= New TPM owner passphrase ="), 0, NULL))
 		return (ERR_FAIL);
 
-	ret = Tspi_ChangeAuth(hTPM, NULL, hNewPolicy);
+	ret = Tspi_ChangeAuth(hTPM, (TSS_HOBJECT)NULL, hNewPolicy);
 	if (ret && ret != TSP_ERROR(TSS_E_POLICY_NO_SECRET)) {
 		print_error(ret, gettext("Change authorization"));
 		return (ERR_FAIL);
